var MsgBox = (function(){
	$('.msgCount').text(0);
	$('#showMsgBoxLayoutBtn').click(function(){
		pur5.Pages.layoutTo('layoutMsgBox');
	});
	return {
		insert: function(msg){
			if(!msg || /^http:\/\//.test(msg)) return false;
			$('#msgList').append('<div>·'+msg + '&nbsp;' + new Date().toJson() + '</div>').scrollTop(0);;
			var lastMsg = $('#msgList div:last');
			lastMsg.toggleClass('odd', lastMsg.index()%2===0);
			$('.msgCount').text($('#msgList div').length);
		}
	}
})();